Download it now!
Bug 31498 - Writer form not usable in FDF format
Summary: Writer form not usable in FDF format
Status: RESOLVED NOTABUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Cédric Bosdonnat
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-09 05:07 UTC by clement21.philippe
Modified: 2012-05-04 06:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Modèle de formulaire en .ott (63.96 KB, application/vnd.oasis.opendocument.text-template)
2010-11-09 05:07 UTC, clement21.philippe
Details
Export du document en FDF (109.84 KB, application/pdf)
2010-11-09 06:02 UTC, clement21.philippe
Details

Note You need to log in before you can comment on or make changes to this bug.
Description clement21.philippe 2010-11-09 05:07:35 UTC
Created attachment 40145 [details]
Modèle de formulaire en .ott

Les champs de formulaires suivants fonctionnement normalement pour l'export en  FDF : 
Champ d'étiquette, champ texte, liste déroulante, cases à cocher, boutons radio ou zone de groupement.
Ne sont pas exploitables en FDF, d'autres contrôle comme : Champ date (avec ou sans calendrier), champ horaire, champ formaté (Style téléphone 01 02 03 04 05).
Je joint un document .ott.
Bonne journée. Philippe,
Comment 1 clement21.philippe 2010-11-09 06:02:21 UTC
Created attachment 40148 [details]
Export du document en FDF

Export du document en FDF
Comment 2 sophie 2010-11-09 06:52:39 UTC
(In reply to comment #0)
> Created an attachment (id=40145) [details]
> Modèle de formulaire en .ott
> 
> Les champs de formulaires suivants fonctionnement normalement pour l'export en 
> FDF : 
> Champ d'étiquette, champ texte, liste déroulante, cases à cocher, boutons radio
> ou zone de groupement.
> Ne sont pas exploitables en FDF, d'autres contrôle comme : Champ date (avec ou
> sans calendrier), champ horaire, champ formaté (Style téléphone 01 02 03 04
> 05).
> Je joint un document .ott.
> Bonne journée. Philippe,

Translation: the following form fields are correctly exported to FDF format :
label field, text box, list box, check box, options button and group box.
The following form fields are not usable for FDF export: date field (with ou without calendar), time field, formatted field (phone number like 01 02 03 04 05).

Document is joined. Regards - Sophie
Comment 3 sophie 2010-11-09 07:20:15 UTC
Assigned to Cédric - Sophie
Comment 4 Rainer Bielefeld Retired 2010-11-30 22:28:16 UTC
What does "not usable" mean: Not at all? No correct formatting? Anything else? It would be more easy to sort out DUPs with more precise Summary.
Comment 5 Cédric Bosdonnat 2011-02-15 04:41:16 UTC
The problem originally pointed out is that some LibreOffice form controls aren't exported with the same features in PDF... but you know it's life, and for that time you will need to enhance PDF specifications first as the calendar and datetime fields aren't defined in PDF 1.7 section 12.7.4 [0].

Closing as not a bug: LibreOffice forms are much better than PDF ones... that's it!

[0] http://www.adobe.com/content/dam/Adobe/en/devnet/pdf/pdfs/PDF32000_2008.pdf
Comment 6 Björn Michaelsen 2011-12-22 05:54:05 UTC
RESOLVED, FIXED or CLOSED bugs cant be KEYWORD NEEDINFO.
Comment 7 Roman Eisele 2012-05-04 06:43:50 UTC
This is a Writer or a PDF issue, therefore changed the 'Component' field accordingly; I think 'PDF export' does match it even better than 'Writer', because (as comment #5 reveals) the root of the problem are general PDF export limitations.